Bug 1495308 - [RFE] Feature to add the "--fetch-remote-resources" to the foreman_scap_client.
Summary: [RFE] Feature to add the "--fetch-remote-resources" to the foreman_scap_client.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin
Version: 6.2.10
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: Released
Assignee: Ondřej Pražák
QA Contact: Jameer Pathan
URL:
Whiteboard:
: 1576874 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-25 18:45 UTC by Deepannagaraj Nagarathinam
Modified: 2019-10-07 17:17 UTC (History)
9 users (show)

Fixed In Version: rubygem-foreman_scap_client-0.4.0, puppet-foreman_scap_client-0.3.19, rubygem-foreman_scap_client-0.4.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:49 UTC
Foreman Issue Tracker 21116 None None None 2017-09-27 07:03:52 UTC
Foreman Issue Tracker 25959 None None None 2019-02-01 10:03:10 UTC
Red Hat Bugzilla 1419220 None CLOSED [RFE] Openscap scan shows warning message for remote resources 2019-06-17 09:29:08 UTC
Red Hat Knowledge Base (Article) 3440311 None None None 2018-06-22 12:26:34 UTC

Internal Links: 1419220

Comment 1 Ondřej Pražák 2017-09-27 07:03:50 UTC
Created redmine issue http://projects.theforeman.org/issues/21116 from this bug

Comment 2 Šimon Lukašík 2018-05-02 10:41:35 UTC
I think this should have UI toggle associated with.

You don't want your client system to donwload thing from internet without your explicit consent. At least in Satellite 5 product line, this was the case.

Comment 3 Brad Buckingham 2018-06-22 12:26:35 UTC
*** Bug 1576874 has been marked as a duplicate of this bug. ***

Comment 4 pm-sat@redhat.com 2018-07-12 16:10:11 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21116 has been resolved.

Comment 8 Ondřej Pražák 2019-02-01 10:03:08 UTC
Connecting redmine issue https://projects.theforeman.org/issues/25959 from this bug

Comment 10 Jameer Pathan 2019-02-01 10:39:18 UTC
FailedQA

@satellite 6.5.0 snap 13
@puppet-foreman_scap_client-0.3.19-1.el7sat.noarch.rpm

Comment 12 Jameer Pathan 2019-03-19 06:12:13 UTC
Verified

@satellite 6.5.0 snap 20 
@rubygem-foreman_scap_client-0.4.3-1.el7sat.noarch
@puppet-foreman_scap_client-0.3.19-1.el7sat.noarch

steps:
1. to download content from remote location for client(host)
overide Smart Class Parameter fetch_remote_resources to true.

observation:
- content from remote location got downloaded
-[root@sat_host ~]# foreman_scap_client 3
DEBUG: running: oscap xccdf eval --fetch-remote-resources --profile xccdf_org.ssgproject.content_profile_rht-ccp  --results-arf /tmp/d20190319-27275-12nds5g/results.xml /var/lib/openscap/content/96c2a9d5278d5da905221bbb2dc61d0ace7ee3d97f021fccac994d26296d986d.xml
Downloading: https://www.redhat.com/security/data/oval/com.redhat.rhsa-RHEL7.xml.bz2 ... ok
DEBUG: running: /usr/bin/env bzip2 /tmp/d20190319-27275-12nds5g/results.xml
Uploading results to https://sat_hostname.com:9090/compliance/arf/3
Report uploaded, report id: 92

Comment 15 errata-xmlrpc 2019-05-14 12:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.